import java.sql.*;
import java.util.*;

public class TestDataEncryptionIntegrity {

 public static void main(String[] argv) 
  throws Exception {

  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());

  Properties prop = new Properties();
  prop.setProperty("user", "scott");
  prop.setProperty("password", "tiger");
  prop.setProperty("oracle.net.encryption_client", "REQUIRED");
  prop.setProperty("oracle.net.encryption_types_client", "( RC4_40 )");
  prop.setProperty("oracle.net.crypto_checksum_client", "REQUIRED");
  prop.setProperty("oracle.net.crypto_checksum_types_client", "( MD5 )");

  Connection conn = DriverManager.getConnection(
   "jdbc:oracle:thin:@dssw2k01:1521:orcl", prop);
  Statement stmt = conn.createStatement();
  ResultSet rset = stmt.executeQuery(
   "select 'Hello Thin driver Encryption & Integrity " +
   "tester '||USER||'!' result from dual");
  while(rset.next()) 
   System.out.println(rset.getString(1));
  rset.close();
  stmt.close();
  conn.close();
 }
}
