import java.io.*;
import java.sql.*;

public class TestSQL92Syntax {

  public static void main(String[] args) 
   throws Exception {
    new TestSQL92Syntax().process();
  }

  private void process() {
    BufferedReader in   = null;
    String         line = null;
    try {
      in = new BufferedReader(new InputStreamReader(System.in));
      System.out.println(" ");
      System.out.print("SQL92> ");
      while (!(line = in.readLine()).equals("")) {
        System.out.println("line = \"" + line + "\"");
        try {
          System.out.println(
           new oracle.jdbc.driver.OracleSql().parse(line));
        }
        catch (SQLException e) {
          System.out.println(e.getMessage());
        }
        finally {
          System.out.println(" ");
          System.out.print("SQL92> ");
        }
      }
    }
    catch (IOException e) {
      System.out.println(e.getMessage());
    }
    finally {
      if (in != null)
        try { in.close(); } catch (IOException ignore) { }
    }
  }
}
