import java.sql.SQLException;
import oracle.jdbc.driver.OracleConnection;
import oracle.jdbc.driver.OracleTypes;
import java.sql.SQLData;
import java.sql.SQLInput;
import java.sql.SQLOutput;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;

public class PersonIdentifier implements SQLData
{
  public static final String _SQL_NAME = "SCOTT.PERSON_IDENTIFIER_TYP";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  private String m_id;
  private String m_idType;

  /* constructor */
  public PersonIdentifier()
  {
  }

  public void readSQL(SQLInput stream, String type)
  throws SQLException
  {
      setId(stream.readString());
      setIdType(stream.readString());
  }

  public void writeSQL(SQLOutput stream)
  throws SQLException
  {
      stream.writeString(getId());
      stream.writeString(getIdType());
  }

  public String getSQLTypeName() throws SQLException
  {
    return _SQL_NAME;
  }

  /* accessor methods */
  public String getId()
  { return m_id; }

  public void setId(String id)
  { m_id = id; }


  public String getIdType()
  { return m_idType; }

  public void setIdType(String idType)
  { m_idType = idType; }

}
