import java.text.*;
import java.sql.*;
import oracle.jdbc.driver.*;

class TestThinPerfSelect {
 public static void main (String args[]) throws SQLException {
  long startTime; 
  long stopTime;
  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
  Connection conn = 
   DriverManager.getConnection("jdbc:oracle:thin:@dssw2k01:1521:orcl","scott","tiger");
  conn.setAutoCommit(false);
  Statement stmt = conn.createStatement();
  startTime = System.currentTimeMillis();
  ResultSet rset = stmt.executeQuery(
   "select id, code, descr, insert_user, insert_date " + 
   "from testxxxperf where id = 1");
  stopTime = System.currentTimeMillis();
  rset.next();
  rset.close();
  stmt.close();
  conn.close();
  System.out.println( "Elapsed time in milliseconds: " + Long.toString( stopTime - startTime ) );
 }
}