import java.text.*;
import java.sql.*;
class TestOCIPerfCall {
 public static void main (String args[]) throws SQLException {
  int i;
  long startTime; 
  long stopTime;
  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
  Connection conn = 
   DriverManager.getConnection("jdbc:oracle:oci8:@dsswk201","scott",tiger");
  CallableStatement stmt = null;
  stmt = conn.prepareCall(
  "{call testxxxperf$.settestxxxperf( ?, ?, ?, ?, ? )}");
  conn.setAutoCommit(false);
  startTime = System.currentTimeMillis();
  for (i=1;i<1001;i++) {
   stmt.setInt(1,i);
   stmt.setString(2,"123456789012345678901234567890");
   stmt.setString(3,"12345678901234567890123456789012345678901234567890123456789012345678901234567890");
   stmt.setString(4,"BALESD");
   stmt.setDate(5,new java.sql.Date(System.currentTimeMillis()));
   stmt.execute();
  }
  conn.commit(); 
  stopTime = System.currentTimeMillis();

  Statement dstmt = conn.createStatement();
  dstmt.executeUpdate("delete testxxxperf");
  conn.commit();
  dstmt.close();

  stmt.close();
  conn.close();
  System.out.println( "Elapsed time in milliseconds: " + Long.toString( stopTime - startTime ) );
 }
}