import java.text.*;
import java.sql.*;
class TestThinPerfCallInside {
 public static void main (String args[]) throws SQLException {
  int i;
  long startTime; 
  long stopTime;
  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
  Connection conn = 
   DriverManager.getConnection("jdbc:oracle:thin:@devdb02:1521:ohsdb","zxvi01","donaldj8");
  CallableStatement stmt = null;
  conn.setAutoCommit(false);
  startTime = System.currentTimeMillis();
  for (i=1;i<1001;i++) {
   stmt = conn.prepareCall(
    "{call oehr.testxxxperf$.settestxxxperf( ?, ?, ?, ?, ? )}");
   stmt.setInt(1,i);
   stmt.setString(2,"123456789012345678901234567890");
   stmt.setString(3,"12345678901234567890123456789012345678901234567890123456789012345678901234567890");
   stmt.setString(4,"ZXVI01");
   stmt.setDate(5,new java.sql.Date(System.currentTimeMillis()));
   stmt.execute();
   stmt.close();
  }
  conn.commit(); 
  stopTime = System.currentTimeMillis();

  Statement dstmt = conn.createStatement();
  dstmt.executeUpdate("delete oehr.testxxxperf");
  conn.commit();
  dstmt.close();

//  stmt.close();
  conn.close();
  System.out.println( "Elapsed time in milliseconds: " + Long.toString( stopTime - startTime ) );
 }
}